php5.4命令行运行php报错

夜影
  • 1.5k

我把php.ini里magic_开头的参数都注释了然后重启还是没法运行,百度无果,有碰到过并解决的大神吗- -
directive magic_quotes_gpc is no longer available in php

回复
阅读 6.6k
4 个回答
✓ 已被采纳

PHP 的 cli sapi 与 cgi sapi 使用的不是同一个配置文件,找到你安装目录下,应该有两个ini,一个是php.ini, 另一个是php-xxx.ini ,确保两个文件保持一致、

如果仍然不好使,贴 1.php 内容、

使用浏览器看看phpinfo. 然后用

php -r 'phpinfo();' | grep '.ini'

比较一下

看看使用的是哪个配置文件。依情况修改配置文件

不是配置文件的问题
这个函数在php5.4里面 已经被废除

宣传栏